## GstGhostPad GstGhostPad |

## Functions

GstPad * | gst_ghost_pad_new ()
GstPad * | gst_ghost_pad_new_no_target ()
GstPad * | gst_ghost_pad_new_from_template ()
GstPad * | gst_ghost_pad_new_no_target_from_template ()
gboolean | gst_ghost_pad_set_target ()
GstPad * | gst_ghost_pad_get_target ()
gboolean | gst_ghost_pad_construct ()
gboolean | gst_ghost_pad_activate_mode_default ()
gboolean | gst_ghost_pad_internal_activate_mode_default ()
GstProxyPad * | gst_proxy_pad_get_internal ()
GstIterator * | gst_proxy_pad_iterate_internal_links_default ()
GstFlowReturn | gst_proxy_pad_chain_default ()
GstFlowReturn | gst_proxy_pad_chain_list_default ()
GstFlowReturn | gst_proxy_pad_getrange_default ()

## Types and Values

struct | GstProxyPad
struct | GstGhostPad

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPad
                    ╰── GstProxyPad
                        ╰── GstGhostPad

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_ghost_pad_new ()

    GstPad *
    gst_ghost_pad_new (const gchar *name,
                       GstPad *target);

### gst_ghost_pad_new_no_target ()

    GstPad *
    gst_ghost_pad_new_no_target (const gchar *name,
                                 GstPadDirection dir);

### gst_ghost_pad_new_from_template ()

    GstPad *
    gst_ghost_pad_new_from_template (const gchar *name,
                                     GstPad *target,
                                     GstPadTemplate *templ);

### gst_ghost_pad_new_no_target_from_template ()

    GstPad *
    gst_ghost_pad_new_no_target_from_template
                                   (const gchar *name,
                                    GstPadTemplate *templ);

### gst_ghost_pad_set_target ()

    gboolean
    gst_ghost_pad_set_target (GstGhostPad *gpad,
                              GstPad *newtarget);

### gst_ghost_pad_get_target ()

    GstPad *
    gst_ghost_pad_get_target (GstGhostPad *gpad);

### gst_ghost_pad_construct ()

    gboolean
    gst_ghost_pad_construct (GstGhostPad *gpad);

### gst_ghost_pad_activate_mode_default ()

    gboolean
    gst_ghost_pad_activate_mode_default (GstPad *pad,
                                         GstObject *parent,
                                         GstPadMode mode,
                                         gboolean active);

### gst_ghost_pad_internal_activate_mode_default ()

    gboolean
    gst_ghost_pad_internal_activate_mode_default
                                   (GstPad *pad,
                                    GstObject *parent,
                                    GstPadMode mode,
                                    gboolean active);

### gst_proxy_pad_get_internal ()

    GstProxyPad *
    gst_proxy_pad_get_internal (GstProxyPad *pad);

### gst_proxy_pad_iterate_internal_links_default ()

    GstIterator *
    gst_proxy_pad_iterate_internal_links_default
                                   (GstPad *pad,
                                    GstObject *parent);

### gst_proxy_pad_chain_default ()

    GstFlowReturn
    gst_proxy_pad_chain_default (GstPad *pad,
                                 GstObject *parent,
                                 GstBuffer *buffer);

### gst_proxy_pad_chain_list_default ()

    GstFlowReturn
    gst_proxy_pad_chain_list_default (GstPad *pad,
                                      GstObject *parent,
                                      GstBufferList *list);

### gst_proxy_pad_getrange_default ()

    GstFlowReturn
    gst_proxy_pad_getrange_default (GstPad *pad,
                                    GstObject *parent,
                                    guint64 offset,
                                    guint size,
                                    GstBuffer **buffer);

## Types and Values

### struct GstProxyPad

    struct GstProxyPad;

### struct GstGhostPad

    struct GstGhostPad;